function phi =  RBF (RBF_type)  

% 1=MQ, 2=G, 3=IMQ, 4=W2, 5=TPS

switch RBF_type
    case 1
        phi=@(r) (1+r.*r).^(1/2);            % Multiquadric
    case 2
        phi=@(r) exp(-r.*r);                  % Gaussian
    case 3
        phi=@(r) (1+r.*r).^(-1/2);            % Inverse Multiquadric
    case 4
        phi=@(r) (1+4*r).*(max(0,(1-r)).^4);  % Wendland 2
    case 5
        phi=@(r) r.*r.*log(r+10^(-19));       % TPS
    otherwise
        error('RBF type not implemented')
end
