
function values=RBF_eval(intp_points,eval_points,coeffs,RBF_type,...
    RBF_scale)

%------------------------------------------------------------------
% RBF Order: 1 for MQ, 2 for TPS, 0 otherwise
%------------------------------------------------------------------
switch RBF_type
    case 1, RBF_order=1;
    case 5, RBF_order=2;
    otherwise, RBF_order=0;
end

%------------------------------------------------------------------
% Evaluating RBF approximant
%------------------------------------------------------------------
distances=points2distances(intp_points,eval_points,RBF_scale);
phi=rbf(RBF_type);
V=feval(phi,distances);

%------------------------------------------------------------------
% Evaluating interpolation matrix
%------------------------------------------------------------------
switch RBF_order
    case 1, numeval=size(eval_points,1); V=[V ones(numeval,1)];
    case 2, numeval=size(eval_points,1); V=[V ones(numeval,1) eval_points];
end

%------------------------------------------------------------------
% Evaluating interpolant values at eval_points
%------------------------------------------------------------------
values=V*coeffs;





