function coeff=RBF_intp(points,values,RBF_type,RBF_scale)

if nargin < 3, rbf_type=1; end

%------------------------------------------------------------------
% Initial settings
%------------------------------------------------------------------

numpoints=size(points,1); dim=size(points,2);

%------------------------------------------------------------------
% Unscaled RBF.
%------------------------------------------------------------------
phi=rbf(RBF_type);

%------------------------------------------------------------------
% RBF Order: 1 for MQ, 2 for TPS, 0 otherwise
%------------------------------------------------------------------
switch RBF_type
    case 1, RBF_order=1;
    case 5, RBF_order=2;
    otherwise, RBF_order=0;
end

%------------------------------------------------------------------
% Computing RBF coefficients
%------------------------------------------------------------------
% V=points2distances(points)/RBF_scale;
V=points2distances(points,RBF_scale);
V=phi(V);

switch RBF_order
    case 0
        coeff=V\values;
    case 1
        V=[V  ones(numpoints,1) ; ones(1,numpoints) zeros(1,1)];
        coeff=V\[values ; zeros(1,1)];
    case 2
        V=[V  ones(numpoints,1)  points; ...
            ones(1,numpoints) zeros(1,1) zeros(1,dim); ...
            points' zeros(dim,1) zeros(dim,dim) ];
        coeff=V\[values ; zeros(1,1) ; zeros(dim,1)];
end
